package com.kingdee.eas.custom.expandassess.app.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ExpandassessFacadeFactory
{
    private ExpandassessFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4F5A179C") ,com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade.class);
    }
    
    public static com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4F5A179C") ,com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4F5A179C"));
    }
    public static com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.expandassess.app.task.IExpandassessFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4F5A179C"));
    }
}